library inbase_crashlitycs;

import 'package:http/http.dart' as http;
import 'package:inbase/InBaseConfig.dart';
import 'package:inbase/Utilities.dart';
import 'model/CrashReportModel.dart';

class InBaseCrashlitycs {
  static const String apiEndpoint =
      'https://inbase.webinify.com/api/v1/crashlitycs';


  /// This function will create a report on the website
  static Future<void> report(CrashReportModel crashReportModel) async {
    /// We need to get the global waterbase config
    InBaseConfig inBaseConfig = await InBaseConfig.getConfig();

    Map<String, String> headers = {
      "X-PROJECT-ID": inBaseConfig.projectId.toString(),
      "X-API-KEY": inBaseConfig.apiKey
    };

    try {
      http.Response response = await http.post(Uri.parse(apiEndpoint),
          headers: headers,
          body: crashReportModel.toJson());

      if(response.statusCode == 200) {
        /// The request did work

      }
    } catch (e) {
      Utilities.showToast(e.toString());
    }
  }
}
